RangeError: Maximum call stack size exceeded

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

RangeError: Maximum call stack size exceeded

강민우
Hi.
I'm interesting in contributing code to Zeppelin.(I am not good in English. Sorry for mistakes.)
So I'm making development environment in my computer.But I had a problem. I want to your help.
I tried to run './grunt serve' in '~/incubator-zeppelin/zeppelin-web' folder after I run 'mvn clean install -DskipTests' in '~/incubator-zeppelin' folder.But I got an error and grunt stop.
Error is ...----------------------------(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.(node) warning: Recursive process.nextTick detected. This will break in the next version of node. Please use setImmediate for recursive deferral.
util.js:35  var str = String(f).replace(formatRegExp, function(x) {                      ^RangeError: Maximum call stack size exceeded----------------------------
If anyone experienced this error, Could you help me please?I don't have ideas, Why did this error occur?
I use ubuntu 14.04 LTS.    
Reply | Threaded
Open this post in threaded view
|

Re: RangeError: Maximum call stack size exceeded

moon
Administrator
Hi,

Thanks for sharing the problem.

I personally didn't see the error, but i could able to find some related
subjects in stackoverflow.

http://stackoverflow.com/questions/16748737/grunt-watch-error-waiting-fatal-error-watch-enospc/17437601#17437601

http://stackoverflow.com/questions/22285942/grunt-throw-recursive-process-nexttick-detected

Hope it helps and let us know if you made some progress.

Thanks,
moon


On Fri, Apr 1, 2016 at 4:54 PM 강민우 <[hidden email]> wrote:

> Hi.
> I'm interesting in contributing code to Zeppelin.(I am not good in
> English. Sorry for mistakes.)
> So I'm making development environment in my computer.But I had a problem.
> I want to your help.
> I tried to run './grunt serve' in '~/incubator-zeppelin/zeppelin-web'
> folder after I run 'mvn clean install -DskipTests' in
> '~/incubator-zeppelin' folder.But I got an error and grunt stop.
> Error is ...----------------------------(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.(node) warning: Recursive
> process.nextTick detected. This will break in the next version of node.
> Please use setImmediate for recursive deferral.
> util.js:35  var str = String(f).replace(formatRegExp, function(x) {
>               ^RangeError: Maximum call stack size
> exceeded----------------------------
> If anyone experienced this error, Could you help me please?I don't have
> ideas, Why did this error occur?
> I use ubuntu 14.04 LTS.